#toasts {
  position: fixed;
  top: 0;
  right: 0;
  padding: 2rem;
  z-index: 1000;
  &:empty {
    pointer-events: none;
  }
}

@keyframes toast-in {
  from {
    transform: translateX(800px);
  }
  to {
    transform: translateX(0);
  }
}

.toast {
  @extend .box;

  @include tablet {
    width: 400px;
  }

  @include mobile {
    width: calc(100vw - 4rem);
  }

  top: 0;
  animation: 0.2s toast-in ease-in-out;
  will-change: max-height, transform, margin-bottom, opacity;
  padding: 0.75rem;
}

@keyframes toast-out {
  from {
    max-height: 100px;
    margin-bottom: 1.5rem;
    transform: translateX(0px);
    opacity: 1;
    padding: 0.75rem;
  }
  to {
    transform: translateX(800px);
    opacity: 0;
    max-height: 0;
    margin-bottom: 0;
    padding: 0;
  }
}

.toast-pop {
  background-color: $box-background-color;
  border-radius: $box-radius;
  box-shadow: $box-shadow;
  color: $box-color;
  display: block;
  padding: $box-padding;
  max-height: 100px;
  margin-bottom: 1.5rem;
  padding: 0.75rem;
  animation: 0.2s toast-out linear 1 normal forwards;
}
